/****************************************************************************/
/*  C6713.cmd                                                               */
/*  Copyright (c) 2010 Texas Instruments Incorporated                       */
/*																			*/
/*    Description: This file is a sample linker command file that can be    */
/*                 used for linking programs built with the C compiler and  */
/*                 running the resulting .out file on an TMS320C6713        */
/*                 device.  Use it as a guideline.  You will want to        */
/*                 change the memory layout to match your specific C6xxx    */
/*                 target system.  You may want to change the allocation    */
/*                 scheme according to the size of your program.            */
/*                                                                          */
/****************************************************************************/

-stack 0x2000
-heap 0x8000

MEMORY
{
	IRAM		o = 0x00000000	l = 0x00030000	/* 192kB - Internal RAM */
	L2RAM		o = 0x00030000	l = 0x00010000	/* 64kB - Internal RAM/CACHE */
	EMIFCE0		o = 0x80000000	l = 0x10000000	/* SDRAM in 6713 DSK */
	EMIFCE1		o = 0x90000000	l = 0x10000000	/* Flash/CPLD in 6713 DSK */
	EMIFCE2		o = 0xA0000000	l = 0x10000000	/* Daughterboard in 6713 DSK */
	EMIFCE3		o = 0xB0000000	l = 0x10000000	/* Daughterboard in 6713 DSK */
}

SECTIONS
{
	.text          >  EMIFCE3
	.stack         >  EMIFCE3
	.bss           >  EMIFCE3
	.cio           >  EMIFCE3
	.const         >  EMIFCE3
	.data          >  EMIFCE3
	.switch        >  EMIFCE3
	.sysmem        >  EMIFCE3
	.far           >  EMIFCE3
  .args          >  EMIFCE3
	.ppinfo        >  EMIFCE3
	.ppdata        >  EMIFCE3

  /* COFF sections */
	.pinit         >  EMIFCE3
	.cinit         >  EMIFCE3

  /* EABI sections */
  .binit         >  EMIFCE3
	.init_array    >  EMIFCE3
  .neardata      >  EMIFCE3
	.fardata       >  EMIFCE3
	.rodata        >  EMIFCE3
	.c6xabi.exidx  >  EMIFCE3
	.c6xabi.extab  > EMIFCE3
}
